Subject: Re: [patch net-next v3 5/9] genetlink: implement release callback and free sk_user_data there

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Nov 2023 11:50:55 -0800

On Wed, 22 Nov 2023 19:20:58 +0100 Jiri Pirko wrote:
> >I'm pretty sure I complained when it was being added. Long story.
> >AFAIU user as in if the socket is opened by a kernel module, the kernel
> >module is the user. There's no need to use this field for the
> >implementation since the implementation can simply extend its 
> >own structure to add a properly typed field.  
> 
> Okay, excuse me, as always I'm slow here. What structure are
> you refering to?

struct netlink_sock. Technically it may be a little cleaner to wrap 
that in another struct that will be genetlink specific. But that's
a larger surgery for relatively little benefit at this stage.